package org.example;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Random;

public class Main {
    // change the DB_URL accordingly
    static final String HOST = "localhost";
    static final String PORT = "32768";
    static final String DATABASE_NAME = "assignment1";

    static final String DB_URL = "jdbc:mysql://" + HOST + ":" + PORT + "/" + DATABASE_NAME;
    static final String USER = "root";
    static final String PASSWORD = "secret";

    private static final Random RANDOM = new Random();

    public static void main(String[] args) {
        try {
            Connection conn = DriverManager.getConnection(DB_URL, USER, PASSWORD);

            // generate 500 Donors
            DonorsGenerator donorsGenerator  = new DonorsGenerator(500, conn, RANDOM);

            donorsGenerator.insertDonors();

            conn.close();

            System.out.println("Insertions to Donors were successful");
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
